/*
 * Implementation of class PeriodicPosition
 *
 * $Date: 2003/08/26 10:48:37 $
 * $Revision: 1.2 $
 *
 */

#include "Wave/PeriodicPosition.hh"

int
PeriodicPosition::pos (int position, int start, int length, int &sign)
{
  sign = 1;
  
  if (length <= 1)
    {
      return start;
    }
  if (position < 0)
    {
      return start + (length - (-position % length)) % length;
    }
  if (position >= length)
    {
      return start + position % length;
    }
  return start+position;
}
