/*
 * Implementation of class PfgWriter
 *
 * $Date: 2003/08/26 10:48:37 $
 * $Revision: 1.2 $
 *
 */

#include "WImage/PfgWriter.hh"
#include "WImage/debug.h"
#include <stdio.h>
#include <pfi.h>

#ifndef __WATCOMC__
using namespace std;
#endif

int
PfgWriter::writefmt (void)
{
  FILE *fhandle;
  char *writename = (char*)m_fname;
  
  if (m_fname == NULL)
    {
      fhandle = stdout;
      writename = "none (stdout)";
    }
  else 
    {
      /*
       * Never fails since checked before.
       */
      fhandle = fopen (m_fname, "wb");
    }

  /*
   * And the rest...
   */
  if (pfi_write (fhandle, m_coeffs->array(), m_coeffs->rows (), 
               m_coeffs->cols (), 1, 0, (char*)m_fname) < 0)
    {
      (void)fclose (fhandle);
      return -1;
    }
  
  return (fclose (fhandle) == EOF)? -1: 0;

} 
