/*
 * Image main header
 * Wraps all the relevant headers.
 *
 * $Date: 2003/12/05 09:56:45 $
 * $Revision: 1.5 $
 *
 */

#ifndef WIMAGE_HH__
#define WIMAGE_HH__

/**
 * @defgroup WImage Classes for images
 */

#include "version.h"
#include "WImage/RowVector.hh"
#include "WImage/ColumnVector.hh"
#include "WImage/FullVector.hh"
#include "WImage/StillImage.hh"
#include "WImage/ColorImage.hh"
#include "WImage/CoeffInformation.hh"
#include "WImage/tools.h"

#endif /* WIMAGE_HH__ */
